/*
 * Game.c
 *
 * Created: 26/04/2018 14:31:25
 * Author : Miha
 */ 

//maximum x*y for the screen is 340*240

#include <avr/io.h>
#include "ADC.h"
#include "LCD_Ili9341.h"
#include "kbd.h"
#include "BGprocess.h"
#include "systime.h"
#include <stdlib.h>
#include <avr/eeprom.h>


int main(void){
	
	init();
	
	int counter = 0;
	uint16_t* ee_pointer = 0x500;
	struct Player human;
	struct Player AI;
	struct Ball ball;
	struct Joystick joystick;
	
	AI.skill = 0.1;
	joystick.maxY = loadJoystick(0, ee_pointer);
	joystick.minY = loadJoystick(1, ee_pointer);
	int scored = 0;
	int gameOver = 0;
		
	startSplash(&human, &AI, &gameOver);
	drawBall(&ball);
	playfieldReset(&human, &AI, &ball);
	
	while(1){
		if(!(counter % GAME_DIVIDER)){
			 //printf("%d", counter);
			scored = playGame(&human, &AI, &ball, &joystick, ee_pointer);
			if (scored){
				waitForPlayer(&human, &AI, &ball, &gameOver);
			}
		}
		counter++;	
    }
}


